## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesElementWrapper Class Reference

`#include <XercesElementWrapper.hpp>`

Inheritance diagram for XercesElementWrapper:

[legend]
Collaboration diagram for XercesElementWrapper:

[legend]
List of all members.

## Public Methods

- XercesElementWrapper (const DOMElementType *theXercesElement, const XercesWrapperNavigator &theNavigator)
- virtual ~XercesElementWrapper ()
- virtual const XalanDOMString& getNodeName () const
    Gets the name of this node. More...
- virtual const XalanDOMString& getNodeValue () const
    Gets the value of this node, depending on its type. More...
- virtual NodeType getNodeType () const
    An enum value representing the type of the underlying object. More...
- virtual XalanNode* getParentNode () const
    Gets the parent of this node. More...
- virtual const XalanNodeList* getChildNodes () const
    Gets a `NodeList` that contains all children of this node. More...
- virtual XalanNode* getFirstChild () const
    Gets the first child of this node. More...
- virtual XalanNode* getLastChild () const
    Gets the last child of this node. More...
- virtual XalanNode* getPreviousSibling () const
    Gets the node immediately preceding this node. More...
- virtual XalanNode* getNextSibling () const
    Gets the node immediately following this node. More...
- virtual const XalanNamedNodeMap* getAttributes () const
    Gets a `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise. More...
- virtual XalanDocument* getOwnerDocument () const
    Gets the `DOMDocument` object associated with this node. More...
- virtual const XalanDOMString& getTagName () const
    The name of the element. More...
- virtual const XalanDOMString& getAttribute (const XalanDOMString &name) const
    Retrieves an attribute value by name. More...
- virtual XalanAttr* getAttributeNode (const XalanDOMString &name) const
    Retrieves an `DOMAttr` node by name. More...
- virtual XalanNodeList* getElementsByTagName (const XalanDOMString &name) const
    Returns a `NodeList` of all descendant elements with a given tag name, in the order in which they would be encountered in a preorder traversal of the `DOMElement` tree. More...

Cloning function.

- virtual XercesElementWrapper* cloneNode (bool deep) const
    Returns a duplicate of this node. More...

Functions to modify the DOM Node.

- virtual XalanNode* insertBefore (XalanNode *newChild, XalanNode *refChild)
    Inserts the node `newChild` before the existing child node `refChild`. More...
- virtual XalanNode* replaceChild (XalanNode *newChild, XalanNode *oldChild)
    Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node. More...
- virtual XalanNode* removeChild (XalanNode *oldChild)
    Removes the child node indicated by `oldChild` from the list of children, and returns it. More...
- virtual XalanNode* appendChild (XalanNode *newChild)
    Adds the node `newChild` to the end of the list of children of this node. More...

Query functions.

- virtual bool hasChildNodes () const
    This is a convenience method to allow easy determination of whether a node has any children. More...

Set functions.

- virtual void setNodeValue (const XalanDOMString &nodeValue)
    Sets the value of the node. More...

Functions introduced in DOM Level 2.

- virtual void normalize ()
    Puts all `DOMText` nodes in the full depth of the sub-tree underneath this `DOMNode`, including attribute nodes, into a "normal" form where only markup (e.g., tags, comments, processing instructions, CDATA sections, and entity references) separates `DOMText` nodes, i.e., there are no adjacent `DOMText` nodes. More...
- virtual bool isSupported (const XalanDOMString &feature, const XalanDOMString &version) const
    Tests whether the DOM implementation implements a specific feature and that feature is supported by this node. More...
- virtual const XalanDOMString& getNamespaceURI () const
    Get the namespace URI of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getPrefix () const
    Get the namespace prefix of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getLocalName () const
    Returns the local part of the qualified name of this node. More...
- virtual void setPrefix (const XalanDOMString &prefix)
    Set the namespace prefix of this node. More...
- virtual bool isIndexed () const
    Determine if the document is node-order indexed. More...
- virtual IndexType getIndex () const
    Get the node's index. More...

Set functions.

- virtual void setAttribute (const XalanDOMString &name, const XalanDOMString &value)
    Adds a new attribute. More...
- virtual XalanAttr* setAttributeNode (XalanAttr *newAttr)
    Adds a new attribute. More...

Functions which modify the Element.

- virtual XalanAttr* removeAttributeNode (XalanAttr *oldAttr)
    Removes the specified attribute node. More...
- virtual void removeAttribute (const XalanDOMString &name)
    Removes an attribute by name. More...

Functions introduced in DOM Level 2.

- virtual const XalanDOMString& getAttributeNS (const XalanDOMString &namespaceURI, const XalanDOMString &localName) const
    Retrieves an attribute value by local name and namespace URI. More...
- virtual void setAttributeNS (const XalanDOMString &namespaceURI, const XalanDOMString &qualifiedName, const XalanDOMString &value)
    Adds a new attribute. More...
- virtual void removeAttributeNS (const XalanDOMString &namespaceURI, const XalanDOMString &localName)
    Removes an attribute by local name and namespace URI. More...
- virtual XalanAttr* getAttributeNodeNS (const XalanDOMString &namespaceURI, const XalanDOMString &localName) const
    Retrieves an `DOMAttr` node by local name and namespace URI. More...
- virtual XalanAttr* setAttributeNodeNS (XalanAttr *newAttr)
    Adds a new attribute. More...
- virtual XalanNodeList* getElementsByTagNameNS (const XalanDOMString &namespaceURI, const XalanDOMString &localName) const
    Returns a `DOMNodeList` of all the `DOMElement`s with a given local name and namespace URI in the order in which they would be encountered in a preorder traversal of the `DOMDocument` tree, starting from this node. More...
- const DOMElementType* getXercesNode () const
    Get the Xerces node this instance represent. More...

## Constructor & Destructor Documentation

XercesElementWrapper::XercesElementWrapper ( | const DOMElementType * theXercesElement,
| const XercesWrapperNavigator & theNavigator )

XercesElementWrapper::~XercesElementWrapper ( | )`[virtual]`

## Member Function Documentation

XalanNode * XercesElementWrapper::appendChild ( | XalanNode * newChild )`[virtual]`

  | Adds the node `newChild` to the end of the list of children of this node. If the `newChild` is already in the tree, it is first removed. Parameters:
  newChild | The node to add.If it is a `DocumentFragment` object, the entire contents of the document fragment are moved into the child list of this node
Returns: The node added. Reimplemented from XalanElement.

XercesElementWrapper * XercesElementWrapper::cloneNode ( | bool deep ) const`[virtual]`

  | Returns a duplicate of this node. This function serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.). Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node. Parameters:
  deep | If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
Returns: The duplicate node. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getAttribute ( | const XalanDOMString & name ) const`[virtual]`

  | Retrieves an attribute value by name. Parameters:
  name | The name of the attribute to retrieve.
Returns: The `DOMAttr` value as a string, or the empty string if that attribute does not have a specified or default value. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getAttributeNS ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[virtual]`

  | Retrieves an attribute value by local name and namespace URI. Parameters:
  namespaceURI | The namespace URI of the attribute to retrieve.
  localName | The local name of the attribute to retrieve.
Returns: The `DOMAttr` value as a string, or an empty string if that attribute does not have a specified or default value. Reimplemented from XalanElement.

XalanAttr * XercesElementWrapper::getAttributeNode ( | const XalanDOMString & name ) const`[virtual]`

  | Retrieves an `DOMAttr` node by name. Parameters:
  name | The name (`nodeName`) of the attribute to retrieve.
Returns: The `DOMAttr` node with the specified name (`nodeName`) or `null` if there is no such attribute. Reimplemented from XalanElement.

XalanAttr * XercesElementWrapper::getAttributeNodeNS ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[virtual]`

  | Retrieves an `DOMAttr` node by local name and namespace URI. Parameters:
  namespaceURI | The namespace URI of the attribute to retrieve.
  localName | The local name of the attribute to retrieve.
Returns: The `DOMAttr` node with the specified attribute local name and namespace URI or `null` if there is no such attribute. Reimplemented from XalanElement.

const XalanNamedNodeMap * XercesElementWrapper::getAttributes ( | ) const`[virtual]`

| Gets a `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise. Reimplemented from XalanElement.

const XalanNodeList * XercesElementWrapper::getChildNodes ( | ) const`[virtual]`

| Gets a `NodeList` that contains all children of this node. If there are no children, this is a `NodeList` containing no nodes. The content of the returned `NodeList` is "live" in the sense that, for instance, changes to the children of the node object that it was created from are immediately reflected in the nodes returned by the `NodeList` accessors; it is not a static snapshot of the content of the node. This is true for every `NodeList`, including the ones returned by the `getElementsByTagName` method. Reimplemented from XalanElement.

XalanNodeList * XercesElementWrapper::getElementsByTagName ( | const XalanDOMString & name ) const`[virtual]`

  | Returns a `NodeList` of all descendant elements with a given tag name, in the order in which they would be encountered in a preorder traversal of the `DOMElement` tree. Caller is responsible for deleting the XalanNodeList instance. Parameters:
  name | The name of the tag to match on. The special value "*" matches all tags.
Returns: A list of matching `DOMElement` nodes. Reimplemented from XalanElement.

XalanNodeList * XercesElementWrapper::getElementsByTagNameNS ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName ) const`[virtual]`

  | Returns a `DOMNodeList` of all the `DOMElement`s with a given local name and namespace URI in the order in which they would be encountered in a preorder traversal of the `DOMDocument` tree, starting from this node. Caller is responsible for deleting the XalanNodeList instance. Parameters:
  namespaceURI | The namespace URI of the elements to match on. The special value "*" matches all namespaces.
  localName | The local name of the elements to match on. The special value "*" matches all local names.
Returns: A new `DOMNodeList` object containing all the matched `Element`s. Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::getFirstChild ( | ) const`[virtual]`

| Gets the first child of this node. If there is no such node, this returns `null`. Reimplemented from XalanElement.

IndexType XercesElementWrapper::getIndex ( | ) const`[virtual]`

| Get the node's index. Valid only if the owner document reports that the document is node-order indexed. Returns: The index value, or 0 if the node is not indexed. Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::getLastChild ( | ) const`[virtual]`

| Gets the last child of this node. If there is no such node, this returns `null`. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getLocalName ( | ) const`[virtual]`

| Returns the local part of the qualified name of this node. For nodes created with a DOM Level 1 method, such as `createElement` from the `DOMDocument` interface, it is null. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getNamespaceURI ( | ) const`[virtual]`

| Get the namespace URI of this node, or `null` if it is unspecified. This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time. For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`. Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::getNextSibling ( | ) const`[virtual]`

| Gets the node immediately following this node. If there is no such node, this returns `null`. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getNodeName ( | ) const`[virtual]`

| Gets the name of this node. Reimplemented from XalanElement.

NodeType XercesElementWrapper::getNodeType ( | ) const`[virtual]`

| An enum value representing the type of the underlying object. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getNodeValue ( | ) const`[virtual]`

| Gets the value of this node, depending on its type. Reimplemented from XalanElement.

XalanDocument * XercesElementWrapper::getOwnerDocument ( | ) const`[virtual]`

| Gets the `DOMDocument` object associated with this node. This is also the `DOMDocument` object used to create new nodes. When this node is a `DOMDocument` or a `DOMDocumentType` which is not used with any `DOMDocument` yet, this is `null`. Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::getParentNode ( | ) const`[virtual]`

| Gets the parent of this node. All nodes, except `Document`, `DocumentFragment`, and `Attr` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, a `null` DOMNode is returned. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getPrefix ( | ) const`[virtual]`

| Get the namespace prefix of this node, or `null` if it is unspecified. Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::getPreviousSibling ( | ) const`[virtual]`

| Gets the node immediately preceding this node. If there is no such node, this returns `null`. Reimplemented from XalanElement.

const XalanDOMString & XercesElementWrapper::getTagName ( | ) const`[virtual]`

| The name of the element. For example, in: <elementExample id="demo"> ... </elementExample> , `tagName` has the value `"elementExample"`. Note that this is case-preserving in XML, as are all of the operations of the DOM. Reimplemented from XalanElement.

const DOMElementType * XercesElementWrapper::getXercesNode ( | ) const

| Get the Xerces node this instance represent. Returns: The Xerces node

bool XercesElementWrapper::hasChildNodes ( | ) const`[virtual]`

| This is a convenience method to allow easy determination of whether a node has any children. Returns: `true` if the node has any children, `false` if the node has no children. Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::insertBefore ( | XalanNode * newChild,
| XalanNode * refChild )`[virtual]`

  | Inserts the node `newChild` before the existing child node `refChild`. If `refChild` is `null`, insert `newChild` at the end of the list of children. If `newChild` is a `DocumentFragment` object, all of its children are inserted, in the same order, before `refChild`. If the `newChild` is already in the tree, it is first removed. Note that a `DOMNode` that has never been assigned to refer to an actual node is == null. Parameters:
  newChild | The node to insert.
  refChild | The reference node, i.e., the node before which the new node must be inserted.
Returns: The node being inserted. Reimplemented from XalanElement.

bool XercesElementWrapper::isIndexed ( | ) const`[virtual]`

| Determine if the document is node-order indexed. Returns: true if the document is indexed, otherwise false. Reimplemented from XalanElement.

bool XercesElementWrapper::isSupported ( | const XalanDOMString & feature,
| const XalanDOMString & version ) const`[virtual]`

  | Tests whether the DOM implementation implements a specific feature and that feature is supported by this node. Parameters:
  feature | The string of the feature to test. This is the same name as what can be passed to the method `hasFeature` on `DOMImplementation`.
  version | This is the version number of the feature to test. In Level 2, version 1, this is the string "2.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`.
Returns: Returns `true` if the specified feature is supported on this node, `false` otherwise. Reimplemented from XalanElement.

void XercesElementWrapper::normalize ( | )`[virtual]`

| Puts all `DOMText` nodes in the full depth of the sub-tree underneath this `DOMNode`, including attribute nodes, into a "normal" form where only markup (e.g., tags, comments, processing instructions, CDATA sections, and entity references) separates `DOMText` nodes, i.e., there are no adjacent `DOMText` nodes. This can be used to ensure that the DOM view of a document is the same as if it were saved and re-loaded, and is useful when operations (such as XPointer lookups) that depend on a particular document tree structure are to be used. Note: In cases where the document contains `DOMCDATASections`, the normalize operation alone may not be sufficient, since XPointers do not differentiate between `DOMText` nodes and `DOMCDATASection` nodes. Reimplemented from XalanElement.

void XercesElementWrapper::removeAttribute ( | const XalanDOMString & name )`[virtual]`

  | Removes an attribute by name. If the removed attribute is known to have a default value, an attribute immediately appears containing the default value as well as the corresponding namespace URI, local name, and prefix when applicable. To remove an attribute by local name and namespace URI, use the `removeAttributeNS` method. Parameters:
  name | The name of the attribute to remove.
  Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
Reimplemented from XalanElement.

void XercesElementWrapper::removeAttributeNS ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & localName )`[virtual]`

  | Removes an attribute by local name and namespace URI. If the removed attribute has a default value it is immediately replaced. The replacing attribute has the same namespace URI and local name, as well as the original prefix. HTML-only DOM implementations do not need to implement this method. Parameters:
  namespaceURI | The namespace URI of the attribute to remove.
  localName | The local name of the attribute to remove.
  Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
Reimplemented from XalanElement.

XalanAttr * XercesElementWrapper::removeAttributeNode ( | XalanAttr * oldAttr )`[virtual]`

  | Removes the specified attribute node. If the removed `DOMAttr` has a default value it is immediately replaced. The replacing attribute has the same namespace URI and local name, as well as the original prefix, when applicable. Parameters:
  oldAttr | The `DOMAttr` node to remove from the attribute list.
  Returns: The `DOMAttr` node that was removed. Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly. NOT_FOUND_ERR: Raised if `oldAttr` is not an attribute of the element.
Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::removeChild ( | XalanNode * oldChild )`[virtual]`

  | Removes the child node indicated by `oldChild` from the list of children, and returns it. Parameters:
  oldChild | The node being removed.
Returns: The node removed. Reimplemented from XalanElement.

XalanNode * XercesElementWrapper::replaceChild ( | XalanNode * newChild,
| XalanNode * oldChild )`[virtual]`

  | Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node. If `newChild` is a `DOMDocumentFragment` object, `oldChild` is replaced by all of the `DOMDocumentFragment` children, which are inserted in the same order. If the `newChild` is already in the tree, it is first removed. Parameters:
  newChild | The new node to put in the child list.
  oldChild | The node being replaced in the list.
Returns: The node replaced. Reimplemented from XalanElement.

void XercesElementWrapper::setAttribute ( | const XalanDOMString & name,
| const XalanDOMString & value )`[virtual]`

  | Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter. This value is a simple string, it is not parsed as it is being set. So any markup (such as syntax to be recognized as an entity reference) is treated as literal text, and needs to be appropriately escaped by the implementation when it is written out. In order to assign an attribute value that contains entity references, the user must create an `DOMAttr` node plus any `Text` and `EntityReference` nodes, build the appropriate subtree, and use `setAttributeNode` to assign it as the value of an attribute. Parameters:
  name | The name of the attribute to create or alter.
  value | Value to set in string form.
  Exceptions:
  DOMException | INVALID_CHARACTER_ERR: Raised if the specified name contains an illegal character. NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
Reimplemented from XalanElement.

void XercesElementWrapper::setAttributeNS ( | const XalanDOMString & namespaceURI,
| const XalanDOMString & qualifiedName,
| const XalanDOMString & value )`[virtual]`

  | Adds a new attribute. If the given `namespaceURI` is `null` or an empty string and the `qualifiedName` has a prefix that is "xml", the new attribute is bound to the predefined namespace "http://www.w3.org/XML/1998/namespace". If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the `qualifiedName`, and its value is changed to be the `value` parameter. This value is a simple string, it is not parsed as it is being set. So any markup (such as syntax to be recognized as an entity reference) is treated as literal text, and needs to be appropriately escaped by the implementation when it is written out. In order to assign an attribute value that contains entity references, the user must create a `DOMAttr` node plus any `DOMText` and `DOMEntityReference` nodes, build the appropriate subtree, and use `setAttributeNodeNS` or `setAttributeNode` to assign it as the value of an attribute. Parameters:
  namespaceURI | The namespace URI of the attribute to create or alter.
  localName | The local name of the attribute to create or alter.
  value | The value to set in string form.
  Exceptions:
  DOMException | INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character. NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly. NAMESPACE_ERR: Raised if the `qualifiedName` is malformed, if the `qualifiedName` has a prefix that is "xml" and the `namespaceURI` is neither `null` nor an empty string nor "http://www.w3.org/XML/1998/namespace", or if the `qualifiedName` has a prefix that is "xmlns" but the `namespaceURI` is neither `null` nor an empty string, or if if the `qualifiedName` has a prefix different from "xml" and "xmlns" and the `namespaceURI` is `null` or an empty string.
Reimplemented from XalanElement.

XalanAttr * XercesElementWrapper::setAttributeNode ( | XalanAttr * newAttr )`[virtual]`

  | Adds a new attribute. If an attribute with that name (`nodeName`) is already present in the element, it is replaced by the new one. Parameters:
  newAttr | The `DOMAttr` node to add to the attribute list.
  Returns: If the `newAttr` attribute replaces an existing attribute, the replaced `DOMAttr` node is returned, otherwise `null` is returned. Exceptions:
  DOMException | WRONG_DOCUMENT_ERR: Raised if `newAttr` was created from a different document than the one that created the element. NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly. INUSE_ATTRIBUTE_ERR: Raised if `newAttr` is already an attribute of another `DOMElement` object. The DOM user must explicitly clone `DOMAttr` nodes to re-use them in other elements.
Reimplemented from XalanElement.

XalanAttr * XercesElementWrapper::setAttributeNodeNS ( | XalanAttr * newAttr )`[virtual]`

  | Adds a new attribute. If an attribute with that local name and namespace URI is already present in the element, it is replaced by the new one. Parameters:
  newAttr | The `DOMAttr` node to add to the attribute list.
  Returns: If the `newAttr` attribute replaces an existing attribute with the same local name and namespace URI, the replaced `DOMAttr` node is returned, otherwise `null` is returned. Exceptions:
  DOMException | WRONG_DOCUMENT_ERR: Raised if `newAttr` was created from a different document than the one that created the element. NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly. INUSE_ATTRIBUTE_ERR: Raised if `newAttr` is already an attribute of another `DOMElement` object. The DOM user must explicitly clone `DOMAttr` nodes to re-use them in other elements.
Reimplemented from XalanElement.

void XercesElementWrapper::setNodeValue ( | const XalanDOMString & nodeValue )`[virtual]`

| Sets the value of the node. Any node which can have a nodeValue ( See also: getNodeValue) will also accept requests to set it to a string. The exact response to this varies from node to node -- Attribute, for example, stores its values in its children and has to replace them with a new Text holding the replacement value. For most types of Node, value is null and attempting to set it will throw DOMException(NO_MODIFICATION_ALLOWED_ERR). This will also be thrown if the node is read-only. Reimplemented from XalanElement.

void XercesElementWrapper::setPrefix ( | const XalanDOMString & prefix )`[virtual]`

  | Set the namespace prefix of this node. Note that setting this attribute, when permitted, changes the `nodeName` attribute, which holds the qualified name, as well as the `tagName` and `name` attributes of the `DOMElement` and `DOMAttr` interfaces, when applicable. Note also that changing the prefix of an attribute, that is known to have a default value, does not make a new attribute with the default value and the original prefix appear, since the `namespaceURI` and `localName` do not change. Parameters:
  prefix | The prefix of this node.
  Exceptions:
  DOMException | INVALID_CHARACTER_ERR: Raised if the specified prefix contains an illegal character. NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly. NAMESPACE_ERR: Raised if the specified `prefix` is malformed, if the specified prefix is "xml" and the `namespaceURI` of this node is different from "http://www.w3.org/XML/1998/namespace", if specified prefix is "xmlns" and the `namespaceURI` is neither `null` nor an empty string, or if the `localName` is `null`.
Reimplemented from XalanElement.

The documentation for this class was generated from the following file:

- XercesElementWrapper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.